Bug 247428 - editors/libreoffice: problems with displaying fonts in Impress
Summary: editors/libreoffice: problems with displaying fonts in Impress
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: freebsd-office (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-19 18:40 UTC by Roman
Modified: 2020-07-11 08:16 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
screenshots (292.90 KB, application/zip)
2020-06-19 18:40 UTC, Roman
no flags Details
Screenshots. ImpressFonts_20200620.zip (221.01 KB, application/zip)
2020-06-20 07:52 UTC, Roman
no flags Details
New srceenshot (185.74 KB, image/png)
2020-06-23 07:24 UTC, Roman
no flags Details
Screenshot of character spacing problem (151.72 KB, image/png)
2020-06-23 09:25 UTC, Michael
no flags Details
New srceenshots (372.21 KB, application/zip)
2020-06-23 10:08 UTC, Roman
no flags Details
Example files (104.05 KB, application/zip)
2020-06-23 16:24 UTC, Roman
no flags Details
No text when export to PDF (35.09 KB, application/zip)
2020-06-24 13:19 UTC, Roman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman 2020-06-19 18:40:32 UTC
Created attachment 215795 [details]
screenshots

After upgrading to version 6.4.4, Impress experienced problems with displaying fonts (you can see it on screenshots). Button icons also sometimes disappear, the entire interface turns gray (observed in all LibreOffice applications). In addition, fonts are not displayed as before.

# pkg info libreoffice 
libreoffice-6.4.4
Name           : libreoffice
Version        : 6.4.4
Installed on   : Fri Jun 19 09:43:15 2020 MSK
Origin         : editors/libreoffice
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : editors
Licenses       : MPL20, LGPL3+
Maintainer     : office@FreeBSD.org
WWW            : https://www.libreoffice.org/
Comment        : Full integrated office productivity suite
Options        :
        CUPS           : on
        DOCS           : on
        GNOME          : off
        GTK3           : off
        JAVA           : off
        KF5            : off
        MMEDIA         : on
        PGSQL          : off
        QT5            : on
        SDK            : off
        TEST           : off
        WEBDAV         : off
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-19 20:17:45 UTC
We're sorry to hear that. It's somehow very hard to debug since there are too many possibilities.  Did you install everything with pkg?  Did all the packages in the system get updated to the latest version?
Comment 2 Roman 2020-06-20 07:36:13 UTC
(In reply to Li-Wen Hsu from comment #1)

The system is updated every day through the pkg system, using the latest branch.
If you need any more details about the system, installed packages and their versions, then I will gladly share this information.

# uname -a
FreeBSD 12.1-RELEASE-p5 FreeBSD 12.1-RELEASE-p5 GENERIC  amd64

# pkg info | grep drm
drm-fbsd12.0-kmod-4.16.g20200221 DRM modules for the linuxkpi-based KMS components
drm-kmod-g20190710             Metaport of DRM modules for the linuxkpi-based KMS components
libdrm-2.4.102,1               Userspace interface to kernel Direct Rendering Module services

# Xorg -version

X.Org X Server 1.20.8
X Protocol Version 11, Revision 0
Build Operating System: FreeBSD 12.1-RELEASE-p5 amd64 
Current Operating System: FreeBSD 12.1-RELEASE-p5 FreeBSD 12.1-RELEASE-p5 GENERIC amd64
Build Date: 06 June 2020  12:53:38PM
 
Current version of pixman: 0.40.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.

vgapci0@pci0:0:2:0:     class=0x030000 card=0x17011d72 chip=0x59178086 rev=0x07 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'UHD Graphics 620'
    class      = display
    subclass   = VGA

# pkg info mesa-dri
mesa-dri-19.0.8_7
Name           : mesa-dri
Version        : 19.0.8_7

№ pkg info ru-libreoffice
ru-libreoffice-6.4.4
Name           : ru-libreoffice
Version        : 6.4.4
Installed on   : Fri Jun 19 09:43:28 2020 MSK
Origin         : russian/libreoffice
Architecture   : FreeBSD:12:*
Prefix         : /usr/local
Categories     : editors russian
Licenses       : MPL20, LGPL3+
Maintainer     : office@FreeBSD.org
WWW            : https://www.libreoffice.org/
Comment        : ru language pack for libreoffice
Comment 3 Roman 2020-06-20 07:51:24 UTC
Writer has a similar problem, but it appears only in the "Symbols" settings window. Plus a very old font and size in the dialog boxes. "Before" and "after" can be seen in the second package of screenshots (ImpressFonts_20200620.zip)
Comment 4 Roman 2020-06-20 07:52:00 UTC
Created attachment 215804 [details]
Screenshots. ImpressFonts_20200620.zip
Comment 5 Roman 2020-06-23 07:24:38 UTC
Created attachment 215875 [details]
New srceenshot

After the last update of kf5 to 5.70.1 and plasma5-plasma to 5.19.1, nothing has changed.
Comment 6 Michael 2020-06-23 09:25:13 UTC
Created attachment 215876 [details]
Screenshot of character spacing problem

Hi. I am experiencing the same problem since the last update (also via pkg). Attachment shows spacing problem, but I also observe disappearing icons.

I couldn't find any related bug report at the upstream's bugzilla.

Some sources suggest playing with hardware acceleration and/or OpenGL settings, but i could not find a functional combination (and settings were unchanged from working version pre-upgrade).

$ pkg info libreoffice
libreoffice-6.4.4
Name           : libreoffice
Version        : 6.4.4
Installed on   : Tue Jun 23 09:37:03 2020 CEST
Origin         : editors/libreoffice
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : editors
Licenses       : MPL20, LGPL3+
Maintainer     : office@FreeBSD.org
WWW            : https://www.libreoffice.org/
Comment        : Full integrated office productivity suite

$ uname -a
FreeBSD garmisch 12.1-STABLE FreeBSD 12.1-STABLE GENERIC  amd64
Comment 7 Roman 2020-06-23 10:08:14 UTC
Created attachment 215878 [details]
New srceenshots

Hmm. I created new presentation too, and saw that this error appears if I change the layout. You can see it on 09 and 10 screenshots. But in the "Character" menu  in Impress and Writer this problem exist constantly (08 and 11 screenshots).
Comment 8 Roman 2020-06-23 16:24:37 UTC
Created attachment 215885 [details]
Example files

Found a file (though in .docx format) with the same problem as Impress. Attached files where I have a problem.
Comment 9 Roman 2020-06-24 13:19:56 UTC
Created attachment 215905 [details]
No text when export to PDF

Oh, something new! When I try to export .odt or .odp files, I get an empty file! You can see it in the attachments.
Comment 10 Roman 2020-06-24 13:22:43 UTC
Oops, sorry.
When I try to export .odt or .odp files to PDF, I get an empty file!
Comment 11 Roman 2020-06-30 07:59:53 UTC
Do you guys have any ideas? What is the problem and how to solve it?
At the moment I can not work in LibreOffice 6.4.4.
Comment 12 Li-Wen Hsu freebsd_committer 2020-06-30 08:06:52 UTC
(In reply to Roman from comment #11)
For pdf exporting, could you try patch from https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247444#c27 ?
Comment 13 Roman 2020-06-30 11:58:40 UTC
(In reply to Li-Wen Hsu from comment #12)

Unfortunately, I have no way to recompile the entire LibreOffice package with the patch and the included VLC KF5.
Thanks for the link to the problem with printing and saving to PDF, I will follow up on the correction of this problem.
Comment 14 Alan Hicks 2020-07-01 08:52:02 UTC
My workaround is to compile with kf5 which works well under kde and when running a session over ssh set the vcl plugin to use kf5 with the following for sh:

set SAL_USE_VCLPLUGIN=kf5
export SAL_USE_VCLPLUGIN

or for csh

setenv SAL_USE_VCLPLUGIN kf5

The issue appears to be an inability to embed fonts with qt5 as per
https://bugs.documentfoundation.org/show_bug.cgi?id=125234
as empty PDFs contain the following:
% CreateFontSubset failed for font "Square721 BT" weight=5
% CreateFontSubset failed for font "Univers" weight=5

Sadly my Qt foo lacks an understanding of font processing.
Comment 15 Roman 2020-07-02 08:02:51 UTC
(In reply to Alan Hicks from comment #14)

Did you have a problem with displaying fonts or just a problem of printing and saving in PDF? And does this patch solve the problem of displaying fonts?
Comment 16 Alan Hicks 2020-07-02 10:27:02 UTC
(In reply to Roman from comment #15)
Only problem was printing and saving PDFs.
I didn't try the patch as there isn't a problem displaying fonts.
For background, there is a full kde5 plasma environment installed, it's just not used when running libreoffice over ssh.
Comment 17 Dima Panov freebsd_committer 2020-07-07 05:42:23 UTC
Should be resolved with r541383


(https://svnweb.freebsd.org/changeset/ports/541383)
Comment 18 Roman 2020-07-07 06:36:01 UTC
(In reply to Dima Panov from comment #17)

I will hope so. When it is in the pkg system, I will install it and leave a review here. Thanks!
Comment 19 Jason W. Bacon freebsd_committer 2020-07-09 00:19:58 UTC
I just reinstalled from source and the problem appears to be resolved.

Thanks!
Comment 20 Dima Panov freebsd_committer 2020-07-09 01:08:31 UTC
Good news, indeed

Folks, if all described problems are gone away, please close the ticket